> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a task from an imported local agent session



## OpenAPI

````yaml api-reference/openapi.json POST /tasks/teleport
openapi: 3.1.0
info:
  title: Aether API
  version: 0.1.0
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /tasks/teleport:
    post:
      tags:
        - tasks
      summary: Create a task from an imported local agent session
      operationId: teleportTask
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeleportTaskRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTaskResponse'
          description: Accepted
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/WorkspaceRuntimeAdmissionError'
                  - $ref: >-
                      #/components/schemas/InferenceBalanceExhaustedErrorResponse
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - oneOf:
                      - $ref: '#/components/schemas/TasksErrorResponse'
                      - $ref: '#/components/schemas/WorkspaceRuntimeAdmissionError'
                  - $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
                  - $ref: '#/components/schemas/ControlForbiddenErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Not Found
        '408':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Request Timeout
        '409':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TasksErrorResponse'
                  - $ref: '#/components/schemas/McpServerNotConnectedErrorResponse'
          description: Conflict
        '413':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Request Entity Too Large
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Internal Server Error
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksErrorResponse'
          description: Not Implemented
components:
  schemas:
    TeleportTaskRequest:
      additionalProperties: false
      properties:
        agent_type:
          enum:
            - claude-code
            - codex
          type: string
        base_branch:
          minLength: 1
          type: string
        head_branch:
          minLength: 1
          type: string
        interaction_mode:
          enum:
            - default
            - plan
          type: string
        message:
          type: string
        model:
          minLength: 1
          type: string
        project_id:
          format: uuid
          type: string
        reasoning_effort:
          enum:
            - ultra
            - max
            - xhigh
            - high
            - medium
            - low
            - ultrathink
            - ultracode
          type:
            - string
            - 'null'
        session:
          $ref: '#/components/schemas/TeleportSessionPayload'
      required:
        - project_id
        - head_branch
        - agent_type
        - model
        - interaction_mode
        - session
      type: object
    CreateTaskResponse:
      additionalProperties: false
      properties:
        id:
          format: uuid
          type: string
        name:
          minLength: 1
          type: string
      required:
        - id
        - name
      type: object
    TasksErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - account_deleting
            - aether_inference_unserved
            - agent_pr_blocked
            - agent_pr_pending
            - app_identity_missing
            - attribution_unavailable
            - bad_gateway
            - bad_request
            - caller_inactive
            - conflict
            - connection_harness_mismatch
            - connection_not_held
            - contents_write_required
            - continuation_failed
            - continuation_unavailable
            - control_forbidden
            - embeddings_unavailable
            - fix_not_requested
            - fix_requests_unrecorded
            - forbidden
            - fork_branch_delete_unsupported
            - fork_forbidden
            - gateway_timeout
            - github_claim_unverified
            - github_failed
            - github_identity_mismatch
            - github_identity_required
            - github_push_access_required
            - github_reconnect_required
            - github_ref_not_found
            - gone
            - idempotency_key_reused
            - inference_proxy_unavailable
            - insufficient_credits
            - insufficient_inference_balance
            - internal_error
            - invalid_request
            - mcp_server_not_connected
            - method_not_allowed
            - mode_forbidden
            - no_dispatch_target
            - not_acceptable
            - not_found
            - not_implemented
            - onboarding_already_completed
            - onboarding_requirements_missing
            - org_role_insufficient
            - org_suspended
            - payment_required
            - pr_review_actor_required
            - pr_review_publish_forbidden
            - precondition_failed
            - pull_request_closed
            - pull_request_mirror_failed
            - pull_request_not_mirrored
            - queued_stop_requires_discard
            - rate_limited
            - request_canceled
            - request_timeout
            - request_too_large
            - service_unavailable
            - stack_cycle
            - stack_too_large
            - stack_two_parents
            - stale_execution
            - stale_or_indeterminate
            - stale_pending_input
            - stream_delivery_gap
            - stream_event_conflict
            - task_awaiting_message
            - task_awaiting_tool_response
            - task_connection_disconnected
            - task_connection_unresolved
            - task_creator_deleted
            - task_ineligible
            - task_not_accepting_messages
            - task_not_pinnable
            - task_settings_changed
            - unauthenticated
            - unsigned_aether_head
            - unsigned_commit
            - unsupported_changes
            - unsupported_media_type
            - untyped_error
            - validation_failed
            - workspace_git_unavailable
            - workspace_rejected
          minLength: 1
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
        - code
      type: object
    WorkspaceRuntimeAdmissionError:
      additionalProperties: false
      properties:
        code:
          enum:
            - user_suspended
            - org_suspended
            - billing_blocked
            - org_task_concurrency_exceeded
            - credits_exhausted
            - workspace_run_unavailable
          type: string
        error:
          minLength: 1
          type: string
        org_id:
          format: uuid
          type: string
        tier:
          type: string
        vm_size:
          type: string
      required:
        - error
        - code
        - tier
        - vm_size
        - org_id
      type: object
    InferenceBalanceExhaustedErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - insufficient_inference_balance
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
            - agent_host_route_not_allowed
            - credential_kind_not_admitted
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ControlForbiddenErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - control_forbidden
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    McpServerNotConnectedErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - mcp_server_not_connected
          type: string
        error:
          minLength: 1
          type: string
        servers:
          items:
            $ref: '#/components/schemas/McpServerNotConnected'
          minItems: 1
          type: array
      required:
        - error
        - code
        - servers
      type: object
    TeleportSessionPayload:
      additionalProperties: false
      properties:
        local_cli_version:
          pattern: ^[ -~]{1,200}$
          type: string
        rollout_relative_path:
          minLength: 1
          type: string
        session_id:
          minLength: 1
          type: string
        transcript_gzip_base64:
          minLength: 1
          type: string
      required:
        - session_id
        - transcript_gzip_base64
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    McpServerNotConnected:
      additionalProperties: false
      properties:
        display_name:
          type: string
        key:
          type: string
        policy:
          enum:
            - creator
            - org
          type: string
        reason:
          enum:
            - not_connected
            - needs_reauth
          type: string
        repo:
          $ref: '#/components/schemas/McpServerRepoDeclaration'
      required:
        - key
        - display_name
        - policy
        - reason
      type: object
    McpServerRepoDeclaration:
      additionalProperties: false
      properties:
        cataloged:
          type: boolean
        file:
          enum:
            - .mcp.json
            - .codex/config.toml
          type: string
      required:
        - file
        - cataloged
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.